<?xml version="1.0" encoding="UTF-8" ?>
<!-- XSL stylesheet for inserting a footer into the welcome page of the CICS Information Center -->
<!-- To use this stylesheet, specify /XSL:"path"\welcomepage-footer.xsl on the IDWB command, 
     where "path" is the relative path from the directory where the command is run, to the directory
     containing this stylesheet -->
<xsl:stylesheet version="1.0"
                xmlns:date="http://exslt.org/dates-and-times"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:saxon="http://icl.com/saxon"
                extension-element-prefixes="saxon">
  <!-- This stylesheet modifies the behaviour of IDWB-supplied stylesheet idit2htm.xsl, which is the default
       stylesheet that is appplied to transform a DITA topic to XHTML. Note that the DITA topic to which the
       transform is applied is considerably changed from the source that was created by the author. Earlier 
       stages in the transform resolve conrefs, insert links to related topics, and add attributes to elements
       in the topic -->
  <xsl:import href="idit2htm.xsl" />
  <!-- Override the (empty) supplied template for generating the footer -->
  <xsl:template name="gen-user-footer">
    <br />
    <span class="runningfooter">
     <!-- First line -->
      <xsl:call-template name="last-update" />
      <br /> 
      <!-- Second line -->
      <xsl:call-template name="display-copyright" />
      <br /> 
      <!-- Third line -->
      <xsl:call-template name="powered-eclipse" />
      <br /> 

     </span>
  </xsl:template>

  <!-- Display date and time that this topic was built -->
  <xsl:template name="last-update">
    
    
    <img border="0" src="../graphics/timestamp.gif" alt="Timestamp" style="margin-right:8 border:0; valign:middle"/>
        
    <xsl:text>Last updated: </xsl:text>
    
    <xsl:value-of select="date:month-name()" />
    <xsl:text> </xsl:text>
    <xsl:value-of select="date:day-in-month()" />
    <xsl:text>, </xsl:text>
    <xsl:value-of select="date:year()" />
    <xsl:text> </xsl:text>
    
    <xsl:text></xsl:text>
    <xsl:value-of select="date:hour-in-day()" />
    <xsl:text>:</xsl:text>
    <xsl:value-of select="date:minute-in-hour()" />
    <xsl:text>:</xsl:text>
    <xsl:value-of select="date:second-in-minute()" />
  </xsl:template>   

  <xsl:template name="display-url"> 
    <!-- Java script for determining the URL -->
    <script type="text/javascript">document.write(document.URL)</script>
  </xsl:template> 

  <!-- Template for adding copyright statement -->
  <xsl:template name="display-copyright">
      <xsl:text>(C) Copyright IBM Corporation 1974, 2011.</xsl:text>
  </xsl:template> 

  <!-- Eclipse attribute -->
  <xsl:template name="powered-eclipse">
      <xsl:text>This information center is powered by Eclipse technology. (</xsl:text>
      <a href="http://www.eclipse.org" target="_blank">http://www.eclipse.org</a>
      <xsl:text>)</xsl:text>
  </xsl:template>  
  
</xsl:stylesheet>
